/*
 * blanco Framework
 * Copyright (C) 2004-2006 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.commons.calc.parser.block;

import java.util.ArrayList;

/**
 * キーマップのブロックを実装します。
 * 
 * @author IGA Tosiki
 */
public class BlancoCalcParserPropertyBlock extends
        AbstractBlancoCalcParserBlock {

    private ArrayList list = new ArrayList();

    /**
     * プロパティブロックのコンストラクタ。
     * 
     * @param name
     *            ブロック名。
     */
    public BlancoCalcParserPropertyBlock(String name) {
        setName(name);
    }

    /**
     * プロパティブロックにプロパティキーを追加します。
     * 
     * @param item
     *            プロパティキーオブジェクト。
     */
    public void add(BlancoCalcParserPropertyKey item) {
        list.add(item);
    }

    /**
     * 開始文字列をきっかけに列アイテムを検索します。
     * 
     * @param startString
     *            開始文字列。
     * @return 検索されたプロパティキーオブジェクト。
     */
    public BlancoCalcParserPropertyKey findByStartString(String startString) {
        final int listSize = list.size();
        for (int index = 0; index < listSize; index++) {
            final BlancoCalcParserPropertyKey item = (BlancoCalcParserPropertyKey) list
                    .get(index);
            if (item.isStartString(startString)) {
                return item;
            }
        }
        return null;
    }
}
